
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《JavaScript核心概念及实践》——2.3 运算符 / iVAN</title>

    <meta name="description" content="《JavaScript核心概念及实践》——2.3 运算符 2.3 运算符 运算符,通常是容易被忽略的一个内容,但是一些比较古怪的语法现象仍然可能需要用到运算符的结合率或者其作用来进行解释.JavaScript中,运算符是一定需要注意的地方,有很多具有JavaScript编程经验的人仍然免不了被搞得晕头转向. 我们在这一节主要讲解这样几个运算符,诸如算术运算.位运算等和其他的主流程序设计语言类似,在这里不做讨论. 2.3.1 中括号运算符([]) 中括号([])运算符可用在数组对象和对象上,从数组中按下标取值. var array = [&quot;on ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《JavaScript核心概念及实践》——2.3 运算符</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.3 运算符</h3>
<p>运算符，通常是容易被忽略的一个内容，但是一些比较古怪的语法现象仍然可能需要用到运算符的结合率或者其作用来进行解释。JavaScript中，运算符是一定需要注意的地方，有很多具有JavaScript编程经验的人仍然免不了被搞得晕头转向。</p>
<p>我们在这一节主要讲解这样几个运算符，诸如算术运算、位运算等和其他的主流程序设计语言类似，在这里不做讨论。</p>
<p><strong>2.3.1 中括号运算符([])</strong><br />
中括号([])运算符可用在数组对象和对象上，从数组中按下标取值。</p>
<pre><code>var array = ["one", "two", "three", "four"];
array[0]

</code></pre>
<p>而[]同样可以作用于对象，一般而言，对象中的属性的值是通过点(.)运算符来取值，如：</p>
<pre><code>var object = {
    field : "self",
    printInfo : function(){
        print(this.field);
    }
}

object.field;
object.printInfo();

</code></pre>
<p>但是考虑到这样一种情况，我们在遍历一个对象的时候，对其中的属性的键(key)是一无所知的，我们怎么通过点(.)来访问呢？这时候我们就可以使用[]运算符。</p>
<pre><code>for(var key in object){
    print(key + ":" + object[key]);
}

</code></pre>
<p>运行结果如下。</p>
<pre><code>field:slef
printInfo:function (){
        print(this.field);
}

</code></pre>
<p><strong>2.3.2 点运算符(.)</strong><br />
点运算符的左边为一个对象（属性的集合），右边为属性名，应该注意的是右边的值除了作为左边的对象的属性外，同时还可能是它自己的右边的值的对象。</p>
<pre><code>var object = {
    field : "self",
    printInfo : function(){
        print(this.field);
    },
    outter:{
        inner : "inner text",
        printInnerText : function(){
            print(this.inner);
        }
    }
}

object.outter.printInnerText();

</code></pre>
<p>这个例子中，outter作为object的属性，同时又是printInnerText()的对象。</p>
<p>但是点(.)运算符并不总是可用的，考虑这样一种情况，如果一个对象的属性本身就包含点(.)的键（self.ref），点运算符就无能为力了。</p>
<pre><code>var ref = {
    id : "reference1",
    func : function(){
        return this.id;
    }
};

var obj = {
    id : "object1",
    "self.ref" : ref
};

</code></pre>
<p>当我们尝试访问obj的“self.ref”这个属性的时候：obj.self.ref，解释器会以为obj中有个名为self的属性，而self对象又有个ref的属性，这样会发生不可预知的错误，一个好的解决方法是使用中括号([])运算符来访问。</p>
<p><code>print(obj["self.ref"].func());</code><br />
在这种情况下，中括号运算符成为唯一可行的方式，因此，建议在不知道对象的内部结构的时候（比如要遍历对象来获取某个属性的值），一定要使用中括号运算符，这样可以避免一些意想不到的问题。</p>
<p><strong>2.3.3 相等与等同运算符</strong><br />
运算符==读作相等，而运算符===则读作等同。这两种运算符都是在JavaScript代码中经常见到的，但是意义则不完全相同，简而言之，相等运算符会对两边的操作数做类型转换，而等同则不会。我们还是通过例子来说明。</p>
<pre><code>print(1 == true);
print(1 === true);
print("" == false);
print("" === false);

print(null == undefined);
print(null === undefined);

</code></pre>
<p>运行结果如下。</p>
<pre><code>true
false
true
false
true
false

</code></pre>
<p>相等和等同运算符的规则分别如下。</p>
<p>相等运算符<br />
如果操作数具有相同的类型，则判断其等同性，如果两个操作数的值相等，则返回true（相等），否则返回false（不相等）。</p>
<p>如果操作数的类型不同，则按照这样的情况来判断：</p>
<ul>
<li>null和undefined相等；</li>
<li>　其中一个是数字，另一个是字符串，则将字符串转换为数字，再做比较；</li>
<li>　其中一个是true，先转换成1（false则转换为0）再做比较；</li>
<li>　如果一个值是对象，另一个是数字/字符串，则将对象转换为原始值（通过toString()或者valueOf()方法）；</li>
<li>　其他情况，则直接返回false。</li>
</ul>
<p>等同运算符<br />
如果操作数的类型不同，则不进行值的判断，直接返回false。</p>
<p>如果操作数的类型相同，分下列情况来判断：</p>
<p>　- 都是数字的情况，如果值相同，则两者等同（有一个例外，就是NaN，NaN与其本身也不相等），否则不等同；</p>
<ul>
<li>　都是字符串的情况，与其他程序设计语言一样，如果串的值不等，则不等同，否则等同；</li>
<li>　都是布尔值，且值均为true/false，则等同，否则不等同；</li>
<li>　如果两个操作数引用同一个对象（数组，函数），则两者完全等同，否则不等同；</li>
<li>　如果两个操作数均为null/undefined，则等同，否则不等同。</li>
</ul>
<p>比如：</p>
<pre><code>var obj = {
    id : "self",
    name : "object"
};

var oa = obj;
var ob = obj;

print(oa == ob);
print(oa === ob);

</code></pre>
<p>会返回：</p>
<pre><code>true
true

</code></pre>
<p>再来看一个对象的例子。</p>
<pre><code>var obj1 = {
    id : "self",
    name : "object",
    toString : function(){
        return "object 1";
    }
}

var obj2 = "object 1";

print(obj1 == obj2);
print(obj1 === obj2);

</code></pre>
<p>返回值为：</p>
<pre><code>true
false

</code></pre>
<p>obj1是一个对象，而obj2是一个结构与之完全不同的字符串，而如果用相等操作符来判断，则两者是完全相同的，因为obj1重载了顶层对象的toString方法。</p>
<p>而不等(!=)和不等同(!==)，则与相等(==)/等同(!==)相反。因此，在JavaScript中，使用相等/等同、不等/不等同的时候，一定要注意类型的转换，这里推荐使用等同/不等同来进行判断，这样可以避免一些难以调试的bug。</p>
<p>事实上，很多新手会犯的错误都与JavaScript自身的灵活性有关系，比如由于JavaScript的弱类型特性，解释器会在运行时进行类型的转换，这样会隐藏一些出错的可能性，又比如是采取中括号运算符还是使用点运算符，以及相等还是等同等，JavaScript本身不会强制限制开发者，但是有一个好的编码标准仍然是非常必要的。jslint是一个用于静态检查JavaScript代码的工具，开发者可以在运行代码之前使用jslint检查潜在的错误（这些错误一般不会导致语法错误，但是可能在运行时出现难以跟踪的问题）。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 02:08:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《JavaScript核心概念及实践》——2.3 运算符的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkZONOM.html" rel="bookmark">《JavaScript核心概念及实践》&mdash;&mdash;1&period;2 JavaScript语言特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 JavaScript语言特性 JavaScript是一门动态的.弱类型.基于原型的脚本语言.在JavaScript中&quot;一切皆对象&quot;,在这一方面,它比其他的面向对象的语言来得更为彻底.即使作为代码本身载体的函数(function),也是对象,数据与代码的界限在JavaScript中已经相当模糊.虽然它被广泛应用在Web客户端,但是其应用范围远远未局限于此.下面就这几个特点分别介绍. 1.2.1 动态性动态性是指,在一个JavaScript对象中,要为一个属性赋值,我们不必事先创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJBlOb.html" rel="bookmark">《JavaScript核心概念及实践》&mdash;&mdash;第2章 基本概念 2&period;1 数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 基本概念 本章将聚焦于JavaScript中的基本概念,这些概念与传统语言有比较大的不同,因此单独列出一章来做专门描述.理解本章的概念对书中后续章节的概念,代码的行为等会有很大的帮助,读者不妨花比较多的时间阅读本章,即使你对JavaScript已经比较熟悉,也建议通读本章. 本章主要讲述JavaScript中的数据类型(基本类型与引用类型).变量(包括变量的作用域).操作符(主要是一些较为常见,但是不容易从字面上理解的操作符).由于JavaScript中的&quot;一切皆对象&quot;,在掌握			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrmDvz.html" rel="bookmark">《JavaScript核心概念及实践》&mdash;&mdash;1&period;3 JavaScript应用范围</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 JavaScript应用范围 当JavaScript第一次出现的时候,是为了给页面带来更多的动态,使用户可以与页面进行交互.虽然JavaScript在Web客户端取得了很大的成功,但是ECMA标准并没有局限其应用范围.事实上,现在的JavaScript大多运行于客户端,但是仍有部分运行于服务器端,如Servlet.ASP等.当然,JavaScript作为一个独立的语言,同样可以运行在其他的应用程序中,比如Java版的JavaScript引擎Rhino.C语言版的SpiderMonkey等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKy4P5p.html" rel="bookmark">《JavaScript核心概念及实践》&mdash;&mdash;第1章 概述  1&period;1 JavaScript简史</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 概述 1.1 JavaScript简史 20世纪90年代,在早期的Web站点上,所有的网页内容都是静态的.所谓静态是指除了点击超链接外,你无法通过任何方式同页面进行交互,比如让页面元素接受事件,修改字体等.但是人们又迫切地需要一种方式来打破这个局限,于是到了1996年,网景(Netscape)公司开始研发一种新的语言Mocha,并将其嵌入到自己的浏览器Netscape中.这种语言可以通过操纵DOM(Document Object Model,文档对象模型)来修改页面,并加入了对鼠标事件的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7OLxM.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》大数据技术一览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第1节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 大数据技术一览 我们正处在大数据时代.数据不仅是任何组织的命脉,而且在指数级增长.今天所产生的数据比过去几年所产生的数据大好几个数量级.挑战在于如何从数据中获取商业价值.这就是大数据相关技术想要解决的问题.因此,大数据已成为过去几年最热门的技术趋势之一.一些非常活跃的开源项目都与大数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0oAJz.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一1&period;2　数据序列化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第1.2节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 1.2 数据序列化 数据有自己的生命周期,独立于创建或使用它的程序.大多数情况下,数据比创建它的应用存活得更久.一般来说,数据保存在硬盘上.有时,也会通过网络把数据从一个应用发送给另一个应用. 在硬盘上存储或通过网络发送的数据格式与数据在内存中的格式是不一样的.把内存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8DWmp.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》Scala编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第2节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. Scala编程 Scala是当前热门的现代编程语言之一.它是编程语言界的凯迪拉克.它是一门强大且优美的语言.学会了它,对你的职业生涯大有裨益. 用不同的编程语言都可以编写大数据应用程序,比如Java.Python.C++.Scala等.Hadoop本身就是用Java编写的.尽管大多数的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQGn8p.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》Spark Core</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. Spark Core Spark是大数据领域最活跃的开源项目,甚至比Hadoop还要热门.如第1章所述,它被认为是Hadoop的继任者.Spark的使用率大幅增长.很多组织正在用Spark取代Hadoop. 从概念上看,Spark类似于Hadoop,它们都用于处理大数据.它们都能用商用硬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj8Brp.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一3&period;9　共享变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第3章,第3.9节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 3.9 共享变量 Spark使用的架构是无共享的.数据分布在集群的各个节点上,每个节点都有自己的CPU.内存和存储资源.没有全局的内存空间用于任务间共享.驱动程序和任务之间通过消息共享数据. 举例来说,如果一个RDD操作的函数参数是驱动程序中变量的引用,Spark会将这			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmjj7z.html" rel="bookmark" class="title">PS合成一只剔透的玻璃青蛙</a>
					<div>
						作者合成的思路非常不错,用蓝色泡泡来表现表面的质感,然后通过变形等把泡泡的纹路都贴到青蛙的各个组成部分,总体非常自然逼真. 最终效果 1.打开泡泡图片,在工具栏中,选择椭圆选框工具. [1] [2]  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyO8dz.html" rel="bookmark" class="title">地方性论坛运营之百度收录问题</a>
					<div>
						写在前面:写这篇文章是为了总结下自己做郑州论坛的一点经验和教训,同时也是为了分享给有类似或者有意愿做地方性论坛的朋友.让大家少走点弯路.下面开始. 本人的小站郑州地区的一个交友交流资讯类的论坛.从上线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrD9kp.html" rel="bookmark" class="title">同步多台电脑的 Chrome&sol;Firefox 标签页&colon;TabCloud</a>
					<div>
						TabCloud 是款浏览器扩展,支持 Chrome/Firefox,可以同步多台电脑的标签页.@Appinn TabCloud 可以解决多台电脑多组标签页不同步的问题.安装扩展后,首先需要登陆 Go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2Wd1M.html" rel="bookmark" class="title">进入系统迟迟不见反应&quest;</a>
					<div>
						症状:启动刚进入系统界面时,点什么都打不开,要等一分钟左右才能打开. 解决办法: 一.首先,请升级杀毒软件的病毒库,全面杀毒,以排除病毒原因. 二.开始→运行,输入msconfig→确定.在打开的系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLv3Rb.html" rel="bookmark" class="title">Linux Mint Cinnamon中怎么安装MATE桌面</a>
					<div>
						  Linux Mint有两个版本,Cinnamon版本更漂亮,消耗资源也高,Mate版本资源需求较低,如果你安装了Cinnamon版本,想切换到mate版本又不想重装系统的话,来看看这篇经验吧. 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badmPJz.html" rel="bookmark" class="title">Win8系统下c盘清理技巧</a>
					<div>
						  首先,win8的权限和win7有了一定的区别,所以把uac关了,很多程序还是不能用管理员运行的~ 所以我们需要: 1.win键+X ,选择 &quot;命令提示符(管理员)&quot; (当然这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3966M.html" rel="bookmark" class="title">win732位旗舰版系统中打开word显示&OpenCurlyDoubleQuote;word已停止工作&rdquo;的解决方案</a>
					<div>
						  方法一. 1.按&quot;Win+R&quot;打开&quot;运行&quot;窗口,输入&quot;regedit&quot;命令后进入注册表编辑器 2.在打开的注册表编辑器中,依次 展开以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG0Yrp.html" rel="bookmark" class="title">Java空指针异常</a>
					<div>
						问题描述 我在一个类中调用另一个类中的方法,传递的参数是一个实体类对象,这个对象有的属性赋值为&quot;&quot;,这样不可以麽?还是所有的属性都必须有确切的值 问题补充:570421779 写道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ2O0z.html" rel="bookmark" class="title">基于Hadoop云盘系统1：上传和下载效率优化</a>
					<div>
						 一.读写机制 首先来看文件读取机制:尽管DataNode实现了文件存储空间的水平扩展和多副本机制,但是针对单个具体文件的读取,Hadoop默认的API接口并没有提供多DataNode的并行读取机制. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWAv1p.html" rel="bookmark" class="title">PERC5&sol;6 RAID配置</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://navyaijm.blog.51cto.com/4647068/809441 对R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrvaGM.html" rel="bookmark" class="title">WPF界面设计技巧（11）-认知流文档 &amp;amp&semi; 小议WPF的野心</a>
					<div>
						原文:WPF界面设计技巧(11)-认知流文档 &amp; 小议WPF的野心     流文档是WPF中的一种独特的文档承载格式,它的书写和呈现方式都很像HTML,它也几乎具备了HTML的绝大多数优势,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ROd0z.html" rel="bookmark" class="title">高可用笔记（8） CAS集群</a>
					<div>
						测试环境 host1 192.168.30.1 host2 192.168.30.2 准备环境 在host1和host2的tomcat目录下(/var/lib/tomcat/webapps/)部署ca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Zk7YM.html" rel="bookmark" class="title">跳转传值-Spring mvc 跳转 传值</a>
					<div>
						问题描述 Spring mvc 跳转 传值 List shuju=userdao.getAlluser(longi); return &quot;redirect:/index.jsp&quot;;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RDJvb.html" rel="bookmark" class="title">详解JavaScript模块化开发&lowbar;javascript技巧</a>
					<div>
						什么是模块化开发? 前端开发中,起初只要在script标签中嵌入几十上百行代码就能实现一些基本的交互效果,后来js得到重视,应用也广泛起来了,jQuery,Ajax,Node.Js,MVC,MVVM等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnK35M.html" rel="bookmark" class="title">2015年这些企业将会有怎样的商业布局？</a>
					<div>
						企业家们的新年致辞不仅被认为是对员工的&quot;心里话&quot;,更是对企业新一年战略规划的全面解读,从而备受业内人士和 媒体的关注.2015年刚开局,刘强东.马化腾.马云.雷军.梁伟平等众多企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB8o2M.html" rel="bookmark" class="title">JAVA 控制POS机的双屏</a>
					<div>
						问题描述 现在市场上的POS机,是双屏的,一个屏幕是软件的操作屏幕另外一个屏幕显示软件中计算出来的总金额和广告,不知道各位有做过类似的操作么 解决方案 解决方案二:得有相应的API吧解决方案三:RPC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjd8KM.html" rel="bookmark" class="title">想确保云安全？给你八个技巧</a>
					<div>
						据业内专家透露,许多企业还踌躇于云环境中的数据完整性,恢复与隐私,规则服从性. 在2010 Gartner安全与风险管理峰会上,Verizon Business提供了下列几点技巧以保障数据和网络安全. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeolOxM.html" rel="bookmark" class="title">统一面桶底部现2条活虫厂家坚称不属质量问题</a>
					<div>
						近日,柳先生购买了一桶统一桶装老坛酸菜面,准备拆开塑封膜食用时,发现面桶底部有两只小活虫.对此,统一方面表示,出现活虫是因为在仓储过程中存在问题,与统一方便面的品质没有关系. 8月22日,柳先生在一家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKakAp.html" rel="bookmark" class="title">子类怎么修改父类属性的标度&quest;</a>
					<div>
						问题描述 @MappedSuperclasspublicclassA{privateBigDecimalprice;@Column(scale=2,precision=30)publicBigDeci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL3e8M.html" rel="bookmark" class="title">赛可达实验室：高水平的公正检测成就&OpenCurlyDoubleQuote;三赢&rdquo;</a>
					<div>
						随着互联网的发展,和软件应用技术的不断加强,信息安全领域取得的成就也在逐年提高,特别是在获得了国家层面的支持之后,网络安全站到了关注度的至高点,信息安全行业的技术发展也不断推进,前景令人看好. 在过去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo8wAM.html" rel="bookmark" class="title">好IT男不能&OpenCurlyDoubleQuote;淫&rdquo;-谈IT人员目前普遍存在的&OpenCurlyDoubleQuote;A情绪&rdquo;</a>
					<div>
						&lt;如果当道德无法约束你的时候...那么就让对疾病的恐惧来制约你吧&gt; 前言 在写这篇文章前我的心情无比的沉重.几次提笔欲写,几次又未能完成,可是最终让我&quot;奋笔疾书&quot;的原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZE77z.html" rel="bookmark" class="title">Shell脚本实现监控swap空间使用情况和查看占用swap的进程&lowbar;linux shell</a>
					<div>
						复制代码 代码如下: #!/bin/bash   echo -e `date +%y%m%d%H%M` echo -e &quot;PID\t\tSwap\t\tProc_Name&quot;   # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Ladz.html" rel="bookmark" class="title">C语言循环队列的表示与实现实例详解&lowbar;C 语言</a>
					<div>
						1.概述: C语言的队列(queue),是先进先出(FIFO, First-In-First-Out)的线性表数据结构.在具体应用中通常用链表或者数组来实现.队列只允许在后端(称为rear)进行插入操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr25L4M.html" rel="bookmark" class="title">Android仿微信群聊头像&lowbar;Android</a>
					<div>
						工作中需要实现仿钉钉群头像的一个功能,就是个人的头像拼到一起显示,看了一下市场上的APP好像微信的群聊头像是组合的,QQ的头像不是,别的好像也没有了. 给大家分享一下怎么实现的吧.首先我们先看一下效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL503M.html" rel="bookmark" class="title">html转换成UBB代码</a>
					<div>
						html转换成UBB代码 Function Html2Ubb(str)  If Str&lt;&gt;&quot;&quot; And Not IsNull(Str) Then   Dim re,tm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKvg4M.html" rel="bookmark" class="title">怎么用UG把加工好的prt文件生成供CIMCOEdit仿真的GM代码？</a>
					<div>
						问题描述 以及如何用CIMCOEdit导入生成的GM代码进行仿真和程序的检索.优化等?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv2BvM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;副厂件&rdquo;利润可达10倍</a>
					<div>
						上海某汽车用品批发市场的工作人员林先生解释说,&quot;副厂件&quot;是指非配套厂家生产的配套件.虽然有AC德科.霍尼韦尔等大品牌生产优质的兼容或者强化汽配产品.但由于市面上很多低价&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXXdrz.html" rel="bookmark" class="title">报告称网易微博在亚运热点事件显现优势</a>
					<div>
						11月29日消息,新浪微博是目前国内用户规模最大的微博网站,但近日易观国际发布的一组调研数据显示,网易微博在备受关注的亚运110米栏决赛上的传播表现超过了新浪微博,开始在热点事件上展现出了极强的竞争优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrvl91M.html" rel="bookmark" class="title">首都航空接收首架空客A320飞机</a>
					<div>
						证券时报记者 张 达 本报讯 日前,空中客车公司向北京首都航空有限公司交付了一架A320飞机,这是首都航空自今年5月更名重组以来接收的首架飞机,该飞机计划于8月26日投入运营. 首都航空副总裁邓志成表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv9vVM.html" rel="bookmark" class="title">科技改变生活：盘点那些&OpenCurlyDoubleQuote;性感&rdquo;的美女机器人</a>
					<div>
						今年的全球移动互联网大会上,一款美女机器人吸引了与会者的眼球.该机器人外形机器极其逼真,能够完成点头.眨眼等动作,并可以进行简单的交谈.其实,全球从事美女机器人研究的仍有很多,以下腾讯科技搜集了一组各 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
